petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCMGSetRestriction

Sets the function to be used to restrict vector from level l to l-1.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCMGSetRestriction(PC pc,PetscInt l,Mat mat)

Logically Collective on PC and Mat Many br

### Input Parameters

| pc | - the multigrid context Many br
| l | - the level (0 is coarsest) to supply [Do not supply 0] Many br
| mat | - the restriction matrix Many br

Many br

### Notes

Usually this is the same matrix used also to set the interpolation Many brfor the same level. Many br

One can pass in the interpolation matrix or its transpose; PETSc figures Many brout from the matrix size which one it is. Many br

If you do not set this, the transpose of the Mat set with PCMGSetInterpolation() Many bris used. Many br

### Keywords

MG, set, multigrid, restriction, level

### See Also

PCMGSetInterpolation()

Level:advanced
Location:src/ksp/pc/impls/mg/mgfunc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages